<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">
    


    <div class="modal-header">
        <h6 class="modal-title" id="myInventoryItemLabel" jhiTranslate="mpmApp.inventoryItem.home.createOrEditLabel">Create or edit a Inventory Item</h6>
        <!-- <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button> -->
    </div>

    <div class="modal-body">
        <!-- {{data | json}} -->        
        <div class="g-12">            
            <div class="ui-g" > 
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        Product Id : {{data.idProduct}}
                    </div>
                    <div class="ui-g-4">
                        Internal Id : {{data.idPartyRole}}
                    </div>
                    <div class="ui-g-4">
                        color id : {{data.idFeature}}        
                    </div>
                    <div class="ui-g-4">
                        Year Assembly : {{data.regYear}}        
                    </div>
                </div>        
            
                <!-- <div class="ui-g-12 ">
                    <div class="ui-g-2">
                        Id Frame
                    </div>
                    <div class="ui-g-4">
                        <input pInputText type="text" [(ngModel)]="data.regNoKa" name="id_frame" />
                    </div>
                </div>
                <div class="ui-g-12 ">
                    <div class="ui-g-2">
                        Id Machine
                    </div>
                    <div class="ui-g-4">
                        <input pInputText type="text" [(ngModel)]="data.regNoSin" name="id_machine" />
                    </div>
                </div>                 -->
                <div class="ui-g-12 ">
                    <div class="ui-g-2">
                        Filter Frame
                    </div>
                    <div class="ui-g-4">
                        <input pInputText type="text" [(ngModel)]="filterRegNoKa" name="id_frame" />
                    </div>
                    <div class="ui-g-2">
                        Request Frame
                    </div>
                    <div class="ui-g-4">
                        <input pInputText type="text" [(ngModel)]="regNoKa" name="id_reqframe" />
                    </div>
                </div>
                <div class="ui-g-12 ">
                    <div class="ui-g-2">
                        Filter Machine
                    </div>
                    <div class="ui-g-4">
                        <input pInputText type="text" [(ngModel)]="filterRegNoSin" name="id_machine" />
                    </div>
                    <div class="ui-g-2">
                        Request Machine
                    </div>
                    <div class="ui-g-4">
                        <input pInputText type="text" [(ngModel)]="regNoSin" name="id_reqmachine" />
                    </div>
                </div>    

                <!-- <div class="ui-g-12 ">                
                    <div class="ui-g-2">
                        Filter color
                    </div>   
                    <div class="ui-g-4"  >
                        <select class="form-control" id="field_color" 
                                name="color" [(ngModel)]="selectedColor"
                                >
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of featureList; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
                        </select>
                        {{selectedColor}}    
                    </div>  
                    <div class="ui-g-2">
                        Request Color
                    </div>
                    <div class="ui-g-4">
                            {{getReqFeatureDesc()}}
                    </div>           
                </div>                 -->
                      
                <div class="ui-g-12 ">                
                    <div class="ui-g-4">
                        <button pButton type="button" (click)="filterData()" label="FILTER"  class="ui-button-danger"></button>
                    </div>   
                    <div class="ui-g-2">
                        
                    </div>  
                    <div class="ui-g-2">
                        
                    </div>
                    <div class="ui-g-4">
                            
                    </div>           
                </div>

            </div>
        </div>
            
        <p-dataTable
            [value]="inventoryItems"
            [editable]="false"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(selection)]="selected" 
            
            dataKey="idInventoryItem"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.inventoryItem.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="single" [style]="{'width':'38px'}"></p-column>
            <p-column header="{{'mpmApp.inventoryItem.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <!-- <p-column header="{{'mpmApp.inventoryItem.idOwner'|translate}}" field="idOwner" [editable]="true">
            </p-column> -->
            <!-- <p-column header="{{'mpmApp.inventoryItem.idFacility'|translate}}" field="idFacility" [editable]="true">
            </p-column> -->
            <!-- <p-column header="{{'mpmApp.inventoryItem.idContainer'|translate}}" field="idContainer" [editable]="true">
            </p-column> -->
            <p-column header="{{'mpmApp.inventoryItem.idProduct'|translate}}" field="itemDescription" [editable]="true">
            </p-column>
            <p-column header="{{'mpmApp.inventoryItem.idFeature'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <!-- {{rowData.idFeature | number}} -->
                    {{rowData.featureDescription}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.inventoryItem.dateCreated'|translate}}" [style]="{'width': '150px'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateCreated | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.inventoryItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qty | number}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.inventoryItem.qtyBooking'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyBooking | number}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.inventoryItem.idFrame'|translate}}" field="idFrame" [editable]="true">
            </p-column>
            <p-column header="{{'mpmApp.inventoryItem.idMachine'|translate}}" field="idMachine" [editable]="true">
            </p-column>
            <!-- <p-column header="{{'mpmApp.inventoryItem.shipmentReceipt'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.shipmentReceiptId">
                        <a [routerLink]="['../shipment-receipt', rowData.shipmentReceiptId  ]" >{{rowData.shipmentReceiptId}}</a>
                    </div>
                </ng-template>
            </p-column> -->
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.select' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>